.timeline-container {
  color: var(--color-white);
  padding: 1rem;
  background: var(--color-black);
  position: relative;
}

.timeline {
  display: grid;
  grid-template-columns: 1fr;
  place-items: center;
  margin: 0;
  padding: 0;
}

.timeline-item {
  list-style-type: none;
  padding-bottom: 1rem;
  position: relative;
}

.timeline-item.date {
  font-size: 1.4rem ;
  font-weight: bold;
  grid-area: date;
  grid-row: auto;
  background-color: var(--color-black);
  padding-bottom: 0;
}

@media (min-width: 768px) {
  .timeline::before {
    height: 100%;
    border-inline-end: .25rem solid var(--color-orange);
    content: "";
    right: 50%;
    position: absolute;
    width: 0;
    top: 0;
    bottom: 0;
  }
}

@media (min-width: 768px) {
  .timeline {
    position: relative;
    grid-template-columns: 1fr 1fr 100px 1fr 1fr;
    gap: 1rem;
    grid-template-areas: "justine-1 justine-2 date rupert-1 rupert-2";
    max-width: 80vw;
    margin-inline: auto;
  }
}

.timeline-item.date {
  font-size: 1.4rem ;
  font-weight: bold;
  grid-area: date;
  grid-row: auto;
  background-color: var(--color-black);
  padding-bottom: 0;
}

.timeline-item {
  list-style-type: none;
  padding-bottom: 1rem;
  position: relative;
}

/* the machine name for this should have been column_1 */
.position-set--c {
  grid-area: justine-1;
  grid-row: auto;
}

.position-set--column_2 {
  grid-area: justine-2;
  grid-row: auto;
}

.position-set--span_1_2 {
  grid-area: justine-1;
  grid-column-end:justine-2 ;
  grid-row: auto;
  display: flex;
}

.position-set--span_3_4 {
  grid-area: rupert-1;
  grid-column-end: rupert-2 ;
  grid-row: auto;
  display: flex;
}

.position-set--column_3 {
  grid-area: rupert-1;
  grid-row: auto;
}

.position-set--column_4 {
  grid-area: rupert-2;
  grid-row: auto;
}

.position-set--span_all {
  grid-area: justine-1;
  grid-column-end: rupert-2 ;
  grid-row: auto;
  display: flex;
  background-color: var(--color-black);
  text-align: center;
  font-size: 1.3rem;
}

.timeline img {
  max-width: 180px;
}